--- title: "createDatabase" slug: "analytics-datacatalog-database-createdatabase" updated: 2026-09-17T09:47:59Z published: 2026-09-17T09:47:59Z canonical: "api.ncloud-docs.com/analytics-datacatalog-database-createdatabase" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # createDatabase Available in VPC Create a database. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v1/catalogs/{catalogId}/databases | ### Request headers For information about the headers common to all Data Catalog APIs, see [Data Catalog request headers](/docs/en/analytics-datacatalog#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `catalogId` | Integer | Required | Catalog ID - See [getCatalogs](/docs/en/analytics-datacatalog-catalog-getcatalogs). | ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `name` | String | Required | Database name - 1-128 characters. - Only lowercase English letters, numbers, `_`, `-`, and spaces are available (`[a-z0-9_\-\s]+$`). | | `location` | String | Required | Database location (path) - Up to 1000 characters. - Add `name` as a subpath after the entered path. - Example: `s3a://mybucket` + `mydatabase` → `s3a://mybucket/mydatabase` | | `description` | String | Optional | Database description - Up to 1000 characters | | `tagKeyTypeValueList` | Array | Optional | Tag list: [tagKeyTypeValueList](/docs/en/analytics-datacatalog-database-createdatabase#tagKeyTypeValueList) | #### `tagKeyTypeValueList` The following describes `tagKeyTypeValueList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `tagKey` | String | Required | Tag key - 1-64 characters | | `tagType` | String | Required | Tag type - `STRING` \| `DOUBLE` \| `BOOLEAN` \| `DATETIME` | | `tagValue` | String | Required | Tag value - 1-256 characters | ### Request example The request example is as follows: ``` curl --location --request POST 'https://datacatalog.apigw.ntruss.com/api/v1/catalogs/4**/databases' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "name": "mydatabase", "location": "s3a://mybucket", "description": "my database description", "tagKeyTypeValueList": [ { "tagKey": "owner", "tagType": "STRING", "tagValue": "data-team" } ] }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `catalogId` | Integer | - | Catalog ID | | `name` | String | - | Database name | | `databaseName` | String | - | Database name | | `description` | String | - | Database description - Displayed if a value exists | | `location` | String | - | Database location (path) | | `tagTemplateName` | String | - | Tag template name - Displayed if a value exists | | `tagKeyTypeValueList` | Array | - | Tag list: [tagKeyTypeValueList](/docs/en/analytics-datacatalog-database-createdatabase#response-tagKeyTypeValueList) - Displayed if a value exists | | `createTime` | String | - | Database creation date and time - ISO 8601 format | | `updateTime` | String | - | Database modification date and time - ISO 8601 format | #### `tagKeyTypeValueList` The following describes `tagKeyTypeValueList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `tagKey` | String | - | Tag key | | `tagType` | String | - | Tag type - `STRING` \| `DOUBLE` \| `BOOLEAN` \| `DATETIME` | | `tagValue` | String | - | Tag value | | `tagTemplateTagId` | Integer | - | Tag template tag ID - `0` if a tag template is not integrated. | ### Response status codes For information about the HTTP status codes common to all Data Catalog APIs, see [Data Catalog response status codes](/docs/en/analytics-datacatalog#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "catalogId": 4**, "name": "mydatabase", "databaseName": "mydatabase", "description": "my database description", "location": "s3a://mybucket/mydatabase", "tagKeyTypeValueList": [ { "tagKey": "owner", "tagType": "STRING", "tagValue": "data-team", "tagTemplateTagId": 0 } ], "createTime": "2026-06-25T14:44:55+0900", "updateTime": "2026-06-25T14:44:55+0900" } ```